<div class="col-md-12 mt-3">
    <h1>{{page_title}}</h1>
    <p>Añade un nuvo artículo al blog</p>
    <hr/>

    <!--FORMULARIO DE Nuevos post-->
    <form class="col-md-5 ml-0 pl-0" #postNew="ngForm" (ngSubmit)="onSubmit(postNew)">
        <div class="form-group">
            <label for="title">Título</label>
            <input type="text" name="title" #title="ngModel" [(ngModel)]="post.title" class="form-control" required />

            <small *ngIf="!title.valid && title.touched" class="invalid-feedback d-block">
                <p>El título no es válido.</p>
            </small>
        </div>
        <div class="form-group">
            <label for="content">Contenido</label>
           <!--  <textarea [froalaEditor]="froala_options" name="content" #content="ngModel" [(ngModel)]="post.content" required></textarea> -->

          <!--   <small *ngIf="!content.valid && content.touched" class="invalid-feedback d-block">
                <p>El título no es válido.</p>
            </small> -->
        </div>
        <div class="form-group">
            <label for="category_id">Categoría</label>
            <select name="category_id" #category_id="ngModel" [(ngModel)]="post.category_id" class="form-control">
                <option *ngFor="let category of categories" value="{{category.id}}">
                    {{category.name}}
                </option>
            </select>
        </div>
        <div class="form-group">
            <angular-file-uploader
                [config]="afuConfig"
                [resetUpload]=""
                (ApiResponse)="imageUpload($event)">

            </angular-file-uploader>
        </div>

        <input type="submit" value="Guardar" class="btn btn-success" [disabled]="postNew.invalid" />
    </form>
        
</div>
